This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 442041 - Conflicts between "man totem" and "totem --usage"
Conflicts between "man totem" and "totem --usage"
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: totem (Show other bugs)
5.1
All Linux
medium Severity low
: rc
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 09:26 EDT by Milos Malik
Modified: 2009-04-21 09:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 09:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-04-11 09:26:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
Totem man page contains following parameters, which are not supported by totem:

--gxid-host=host
--gxid-port=port

$ totem --gxid-host
Option '--gxid-host' is unknown and was ignored
$ totem --gxid-port
Option '--gxid-port' is unknown and was ignored

Totem usage message contains following parameters, which are not described in the man page:

--debug
--toggle-controls
--load-modules=MODULE1,MODULE2,...

Version-Release number of selected component (if applicable):
totem-2.16.7-4.el5

How reproducible:
Always


Steps to Reproduce:
1. man totem
2. totem --usage
3. search for differences among reported parameters

Actual Results:
Totem man page contains invalid parameters. Totem usage message contains parameters, which are not described in man page.

Expected Results:
Totem man page describes all parameters, which are supported by totem.

Additional info:
Comment 1 Milos Malik 2008-04-11 09:47:40 EDT
Man page of totem-video-thumbnailer doesn't describe what does the command line
parameter "-j".

$ totem-video-thumbnailer
Usage: totem-video-thumbnailer [-s <size>] [-j] <input> <output> [backend options]
Comment 3 Bastien Nocera 2009-04-21 09:57:56 EDT
(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13
> 
> Description of problem:
> Totem man page contains following parameters, which are not supported by totem:

They are supported but ignored by the code that parses it in Totem.

In all cases, this isn't worth the time being spent on it, nobody reads man pages for GUI applications...

Fixed upstream in git master.

Note You need to log in before you can comment on or make changes to this bug.